Subject: [bug#76407] Deliberation period for GCD 003 "Rename the default branch" has technically started

From: Christopher Howard <[email-masked]>
Date: Mon, 21 Apr 2025 10:43:01 -0800

> It seems like you are not a member of any team.  This means you are not
> eligible to vote on the GCD.

Oh okay. The request for votes, address to "Guix", didn't mention the voter requirements. If you would that in future vote requests, you might avoid a lot of pointless responses.

>
> In any case, please explain your rationale for disapproval. To quote the
> GCD process:
>
>>Thus, no decision is made against significant concerns; these concerns are
>>actively resolved through counter proposals.  A deliberating member
>>disapproving a proposal bears a responsibility for finding alternatives,
>>proposing ideas or code, or explaining the rationale for the status quo.
>

I am fundamentally opposed to avoiding the branch name "master", simply because this word supposedly has racist overtones. I perceive this is part of a larger CRT and PC movement that aims to eradicate from public consciousness and history anything that can be remotely connected to something that people find offensive.

The branch name "master" has a long historical precedent. Furthermore, the branch name "master" is much more colorful and descriptive than "main". I like to think of the "master disk", which is a very important recording from which other copies are made.

Also, even if the intended analogy of "master" was intended to refer to "master" and "slave" branches, that wouldn't make the word a bad choice, and is not an inherently racist idea. The concepts of "master" and "slave" can be used in computing to refer to software or networking architectures where some processes are totally subservient to others. Because we design some processes to be slaves to others, that doesn't mean that anyone is advocating for sailing off to foreign shores and kidnapping humans.

Furthermore, isn't it offensive, to people whose ancestors actually were slaves, to go around eradicating from human memory all cultural, lexical, and historical references that might possibly remind us of the past existence of slavery?

-- 
Christopher Howard